Bug 830119 - Forward slash symbol in choose “local subscription service “ use incomplete rhn url to register
Forward slash symbol in choose “local subscription service “ use incomplete r...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Bryan Kearney
Entitlement Bugs
:
Depends On:
Blocks: 771748
  Show dependency treegraph
 
Reported: 2012-06-08 05:38 EDT by spandey
Modified: 2015-04-23 19:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-14 18:57:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error screenshot (149.34 KB, image/png)
2012-06-08 05:42 EDT, spandey
no flags Details

  None (edit)
Description spandey 2012-06-08 05:38:39 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
3/3

Prerequisites : 
Rhel5.9 with following subscription-manager rpm .
subscription-manager-gui-1.0.3-1.git.23.8be5256.el5
subscription-manager-firstboot-1.0.3-1.git.23.8be5256.el5
subscription-manager-1.0.3-1.git.23.8be5256.el5
subscription-manager-migration-data-1.11.1.1-1.git.2.c7fbafe.el5
subscription-manager-migration-1.0.3-1.git.23.8be5256.el5

Steps to repro : 
Launch subscription-manager gui .
Choose local server option to register.
Enter “/” and press Next button.

Expected Result : 
Message should display for invalid Url .

Actual Result : 
Subscription-manager is using invalid rhn url “<rhn>:443/ “ to register, 


rhsm.log 

2012-06-08 15:05:16,967 [INFO]  @connection.py:494 - Using no auth
2012-06-08 15:05:16,968 [INFO]  @connection.py:497 - Connection Built: host: subscription.rhn.redhat.com, port: 443, handler: /
2012-06-08 15:05:16,970 [DEBUG]  @connection.py:309 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-06-08 15:05:16,971 [DEBUG]  @connection.py:291 - Loading CA certificate: '/etc/rhsm/ca/candlepin-ca.pem'
2012-06-08 15:05:16,973 [DEBUG]  @connection.py:291 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-06-08 15:05:16,975 [DEBUG]  @connection.py:291 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-06-08 15:05:16,976 [DEBUG]  @connection.py:315 - Using proxy: 192.168.122.1:3128
2012-06-08 15:05:16,977 [DEBUG]  @connection.py:330 - Making request: GET https://subscription.rhn.redhat.com:443//status/
2012-06-08 15:05:18,632 [DEBUG]  @connection.py:343 - Response status: 404
2012-06-08 15:05:18,633 [ERROR]  @connection.py:360 - No JSON object could be decoded
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/rhsm/connection.py", line 358, in validateResponse
    parsed = json.loads(response['content'])
  File "/usr/lib64/python2.4/site-packages/simplejson/__init__.py", line 307, in loads
    return _default_decoder.decode(s)
  File "/usr/lib64/python2.4/site-packages/simplejson/decoder.py", line 335, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib64/python2.4/site-packages/simplejson/decoder.py", line 353, in raw_decode
    raise ValueError("No JSON object could be decoded")
ValueError: No JSON object could be decoded
2012-06-08 15:05:18,634 [ERROR]  @connection.py:361 - Response: {'content': '<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">\n<html><head>\n<title>404 Not Found</title>\n</head><body>\n<h1>Not Found</h1>\n<p>The requested URL /status/ was not found on this server.</p>\n<hr>\n<address>Apache Server at 192.168.122.1 Port 3128</address>\n</body></html>\n', 'status': 404}
2012-06-08 15:05:18,635 [ERROR]  @connection.py:363 - remote server status code: 404
Comment 1 spandey 2012-06-08 05:42:47 EDT
Created attachment 590389 [details]
error screenshot
Comment 2 Bryan Kearney 2012-08-14 18:57:09 EDT
I think I am fine with how it works now. The error message is friendly, and tells the user what to do. If QE strongly disagrees, lets discuss on email.

Note You need to log in before you can comment on or make changes to this bug.